package org.eclipse.equinox.launcher;

import java.io.FileNotFoundException;
import java.io.InputStream;
import java.io.OutputStream;
import java.io.FileOutputStream;
import java.io.File;
import java.io.PrintStream;

final class IORedirecter
{
    private static final String SERVER_LOG_FILE = "work/server.log";
    static PrintStream redirectOut;
    static MultiInputStream redirectIn;
    
    static final void redirectIO(final String serverRootPath) {
        try {
            final File sLogFile = new File(serverRootPath, "work/server.log");
            IORedirecter.redirectIn = new MultiInputStream(System.in);
            IORedirecter.redirectOut = new PrintStream(new FileOutputStream(sLogFile), true);
            System.setIn(IORedirecter.redirectIn);
            System.setOut(IORedirecter.redirectOut);
            System.setErr(IORedirecter.redirectOut);
        }
        catch (final FileNotFoundException e) {
            e.printStackTrace();
        }
    }
}
